PHP Manual
Prev |  | Next

# px_new

(PECL)

px_new -- Create a new paradox object

## Description

resource px_new ( void )

Create a new paradox object. You will have to call this function before any further functions. px_new() does not create any file on the disk, it justs creates an instance of a paradox object.

## Return Values

Returns `FALSE` on failure.

## Examples

Example 1. Opening a Paradox database
`<?php if(!$pxdoc = px_new()) { /* Error handling */ } $fp = fopen("test.db", "r"); if(!px_open_fp($pxdoc, $fp)) { /* Error handling */ } // ... px_close($pxdoc); px_delete($pxdoc); fclose($fp); ?>`

If you prefer the object oriented API, then the above example will look like the following.

Example 2. Opening a Paradox database
`<?php $fp = fopen("test.db", "r"); $pxdoc = new paradox_db(); if(!$pxdoc->open_fp($fp)) { /* Error handling */ } // ... $pxdoc->close(); fclose($fp); ?>`

## See Also

px_delete()
px_open_fp()

Prev | Home | Next
px_get_value | Up | px_numfields